Zadig 文档
Zadig
教程
博客
论坛
关于
中文英文
Zadig
教程
博客
论坛
关于
Zadig v4.2
Loading...
     编辑文档
     反馈问题
     社区讨论

    本页导航

    Overview

    In addition to supporting Zadig Basic version API , it also provides more API support to help developers connect to internal enterprise systems. If you need more, please contact the official(opens new window) for more support.

    # API Call Method

    Step 1: Get it API Token

    Click the user in the upper right corner, select Account Settings in the menu, and copy API Token

    API Token

    Step 2: Call API

    In the requested HTTP Header, add the specified Authorization information, and you can call the Zadig API in the HTTP Client. The example is as follows:

    Tip: yours.zadig.com in the example is Zadig The system access address, please replace it according to the actual situation before requesting.

    curl -H 'Authorization: Bearer your-token' http://yours.zadig.com/api/aslan/system/notification/subscribe
    
    1

    # API Overview

    # Project

    API Function DescriptionAPI Links
    Create an empty projectPOST /openapi/projects/project
    Create a YAML project and initialize itPOST /openapi/projects/project/init/yaml
    Create a Helm project and initialize itPOST /openapi/projects/project/init/helm
    Get the project listGET /openapi/projects/project
    Get the specified project detailsGET /openapi/projects/project/detail
    Delete the projectDELETE /openapi/projects/project

    # Workflow

    ModuleAPI Function DescriptionAPI Links
    WorkflowGet a workflow listGET /openapi/workflows
    Get workflow detailsGET /openapi/workflows/custom/:workflowKey/detail
    Get a workflow task listGET /openapi/workflows/custom/:workflowName/tasks
    Get workflow task detailsGET /openapi/workflows/custom/task
    Execute the WorkflowPOST /openapi/workflows/custom/task
    Cancel workflow tasksDELETE /openapi/workflows/custom/task
    Retry the workflow taskPOST /openapi/workflows/custom/:workflowName/task/:taskID
    Approval workflowPOST /openapi/workflows/custom/task/approve
    Create a workflowPOST /api/aslan/workflow/v4
    Update workflowPUT /api/aslan/workflow/v4/:name
    Delete workflowDELETE /openapi/workflows/custom
    Workflow ViewGet a workflow view listGET /openapi/workflows/view
    Create a workflow viewPOST /openapi/workflows/view
    Edit workflow viewPUT /openapi/workflows/view/:viewName
    Delete the workflow viewDELETE /openapi/workflows/view/:viewName

    # Environment

    ModuleAPI Function DescriptionAPI Links
    Environment addition, deletion, modification and inspectionView the environment listTest environment: GET /openapi/environments
    Production environment: GET /openapi/environments/production
    View environment detailsTest environment: GET /openapi/environments/:envName
    Production environment: GET /openapi/environments/production/:envName
    View environmental service detailsTest environment: GET /openapi/environments/:envName/services/:serviceName
    Production environment: GET /openapi/environments/production/:envName/services/:serviceName
    View Environment K8S Service YamlTest: GET /openapi/environments/services/yaml
    Production: GET /openapi/environments/production/services/yaml
    View Environment Helm Service ValuesTest: GET /openapi/environments/service/values
    Production: GET /openapi/environments/production/service/values
    New Environment - K8s YAML ProjectTest environment: POST /openapi/environments
    Production environment: POST /openapi/environments/production
    New Environment - Helm Chart ProjectPOST /openapi/environments/helm
    Editing environmentTest environment: PUT /openapi/environments/:envName
    Production environment: PUT /openapi/environments/production/:envName
    Delete EnvironmentTest environment: DELETE /openapi/environments/:envName
    Production environment: DELETE /openapi/environments/production/:envName
    List eventsGET /openapi/environments/kube/events
    Manage ServicesAdd Service - K8s YAML ProjectTest environment: POST /openapi/environments/service/yaml
    Production environment: POST /openapi/environments/production/service/yaml
    Add Service - Helm Chart ProjectPOST /openapi/environments/helm/:envName/services
    Update ServiceTest environment: PUT /openapi/environments/service/yaml
    Production environment: PUT /openapi/environments/production/service/yaml
    Delete ServiceTest environment: DELETE /openapi/environments/service/yaml
    Production environment: DELETE /openapi/environments/production/service/yaml
    Environment ConfigurationAdd environment configurationTest environment: POST /openapi/environments/:envName/envcfgs
    Production environment: POST /openapi/environments/production/:envName/envcfgs
    View the environment configuration listTest environment: GET /openapi/environments/:envName/envcfgs
    Production environment: GET /openapi/environments/production/:envName/envcfgs
    View environment configuration detailsTest environment: GET /openapi/environments/:envName/envcfg/:envCfgName
    Production environment: GET /openapi/environments/production/:envName/envcfg/:envCfgName
    Update environment configurationPUT /openapi/environments/envcfgs
    Delete the environment configurationTest environment: DELETE /openapi/environments/:envName/envcfg/:envCfgName
    Production environment: DELETE /openapi/environments/production/:envName/envcfg/:envCfgName
    Global VariablesView global variablesTest environment: GET /openapi/environments/:envName/variable
    Production environment: GET /openapi/environments/production/:envName/variable
    Update Global VariablesTest environment: PUT /openapi/environments/:envName/variable
    Production environment: PUT /openapi/environments/production/:envName/variable
    Service examplesAdjust the number of copiesPOST /openapi/environments/scale
    Restart the service instanceTest environment: POST /openapi/environments/:envName/service/:serviceName/restart
    Production environment: POST /openapi/environments/production/:envName/service/:serviceName/restart
    Update the imageUpdate Deployment ImagePOST /openapi/environments/image/deployment/:envName
    Update Statefulset imagePOST /openapi/environments/image/statefulset/:envName
    Update Cronjob imagePOST /openapi/environments/image/cronjob/:envName
    Sub-environmentCheck the K8S Service of WorkloadGET /openapi/environments/:envName/check/workloads/k8sservices
    Turn on sub-environmentPOST /openapi/environments/:envName/share/enable
    Close the sub-environmentDELETE /openapi/environments/:envName/share/enable
    Check sub-environment ReadyGET /openapi/environments/:name/check/sharenv/:op/ready
    Get portal servicesGET /openapi/environments/:name/share/portal/:serviceName
    Set up portal servicePOST /openapi/environments/:name/share/portal/:serviceName
    logView container real-time logsGET /openapi/logs/sse/pods/:podName/containers/:containerName

    # Service

    API Function DescriptionAPI Links
    Get a list of servicesTesting Service: GET /openapi/service/yaml/services
    Production Services: GET /openapi/service/yaml/production/services
    Get service detailsTesting Service: GET /openapi/service/yaml/:serviceName
    Production Services: GET /openapi/service/yaml/production/:serviceName
    Create a new service (using templates)Testing Service: POST /openapi/service/template/load/yaml
    Production Services: POST /openapi/service/template/production/load/yaml
    Create a new service (manual input)Testing Service: POST /openapi/service/yaml/raw
    Production Services: POST /openapi/service/yaml/production/raw
    Update service configurationTesting Service: PUT /openapi/service/yaml/:serviceName
    Production Services: PUT /openapi/service/yaml/production/:serviceName
    Update Service VariablesTesting Service: PUT /openapi/service/yaml/:serviceName/variable
    Production Services: PUT /openapi/service/yaml/production/:serviceName/variable
    Delete ServiceTesting Service: DELETE /openapi/service/yaml/:serviceName
    Production Services: DELETE /openapi/service/yaml/production/:serviceName
    Create Helm Service from TemplatePOST /openapi/service/template/load/helm

    # Build

    API Function DescriptionAPI Links
    Create BuildPOST /openapi/build
    Update BuildPUT /openapi/build
    Create a build using a build templatePOST /openapi/build?source=template
    Update Build from TemplatePUT /openapi/build/:buildName/template
    Query build listGET /openapi/build
    Get build detailsGET /openapi/build/:buildName/detail
    Delete the buildDELETE /openapi/build

    # Test

    API Function DescriptionAPI Links
    Perform test tasksPOST /openapi/quality/testing/task
    Get test task detailsGET /openapi/quality/testing/:testName/task/:taskID

    # Code scanning

    API Function DescriptionAPI Links
    Create a code scanPOST /openapi/quality/codescan
    Execute code scanning tasksPOST /openapi/quality/codescan/:scanName/task
    Get code scanning task detailsGET /openapi/quality/codescan/:scanName/task/:taskID

    # Version Management

    API Function DescriptionAPI Links
    List versionsGET /openapi/delivery/releases
    Get version detailsGET /openapi/delivery/releases/:id
    Delete the versionDELETE /openapi/delivery/releases/:id
    K8s YAML project creation versionPOST /openapi/delivery/releases/k8s
    Helm Chart Project Creation VersionPOST /openapi/delivery/releases/helm
    Retry Create ReleasePOST /openapi/delivery/releases/retry

    # Release Plan

    API Function DescriptionAPI Links
    Create a release planPOST /openapi/release_plan/v1
    Get a list of release plansGET /openapi/release_plan/v1
    Get release plan detailsGET /openapi/release_plan/v1/:id
    Update Release Plan and JobsPATCH /openapi/release_plan/v1/:id

    # Artifact Management

    API Function DescriptionAPI Links
    Get the version listGET /api/aslan/delivery/releases

    # Cluster

    API Function DescriptionAPI Links
    List cluster informationGET /openapi/system/cluster
    Create a clusterPOST /openapi/system/cluster
    Update the specified clusterPUT /openapi/system/cluster/:id
    Delete the specified clusterDELETE /openapi/system/cluster/:id
    Check the cluster Istio installationGET /openapi/cluster/istio/check/:id

    # Image Registry

    API Function DescriptionAPI Links
    Integrated image registryPOST /openapi/system/registry
    List image registry informationGET /openapi/system/registry
    Get the specified image registry informationGET /openapi/system/registry/:id
    Update the specified image registry informationPUT /openapi/system/registry/:id

    # Performance Insights

    API Function DescriptionAPI Links
    Data OverviewGET /openapi/statistics/overview
    Building data statisticsGET /openapi/statistics/build
    Deployment data statisticsGET /openapi/statistics/deploy
    Test data statisticsGET /openapi/statistics/test
    Data statistics for production environment releaseGET /openapi/statistics/v2/release

    # Users and Permissions

    API Function DescriptionAPI Links
    List user informationGET /openapi/users
    List user group informationGET /openapi/user-groups
    List project permission definitionsGET /openapi/policy/resource-actions
    List role informationGET /openapi/policy/roles
    Get character detailsGET /openapi/policy/roles/:name
    Create a project rolePOST /openapi/policy/roles
    Edit project rolesPUT /openapi/policy/roles/:name
    Delete project rolesDELETE /openapi/policy/roles/:name
    List project membersGET /openapi/policy/role-bindings
    Add project membersPOST /openapi/policy/role-bindings
    Update project member permissionsPOST /openapi/policy/role-bindings/user/:uid
    Delete project membersDELETE /openapi/policy/role-bindings/user/:uid
    Update project user group permissionsPOST /openapi/policy/role-bindings/group/:gid
    Delete project user group membersDELETE /openapi/policy/role-bindings/group/:gid
    Delete userDELETE /openapi/users/:uid

    # Collaboration Mode

    API Function DescriptionAPI Links
    Create Collaboration ModePOST /openapi/collaborations
    Delete Collaboration ModeDELETE /openapi/collaborations/:name

    # System

    API Function DescriptionAPI Links
    List system operation logsGET /openapi/system/operation
    List environment operation logsGET /openapi/system/operation/env

    ← Lark Project PluginProject→

    资源
    教程
    论坛
    博客
    公司
    关于
    客户故事
    加入我们
    联系我们
    微信扫一扫
    hello@koderover.com

    © 2026 筑栈(上海)信息技术有限公司 沪 ICP 备 19000177 号 - 1

    •  跟随系统
    •  浅色模式
    •  深色模式
    •  阅读模式